
%filter_provides_in %{python_sitearch}/.*\.so$ 
%filter_provides_in %{python3_sitearch}/.*\.so$ 
%filter_setup

Name:               python-llfuse
Version:            1.1.1
Release:            1%{?dist}
Summary:            Python Bindings for the low-level FUSE API
Source0:            https://files.pythonhosted.org/packages/source/l/llfuse/llfuse-%{version}.tar.bz2
URL:                https://pypi.python.org/pypi/llfuse
Group:              Development/Libraries
License:            LGPLv2+

BuildRequires:      libattr-devel
BuildRequires:      fuse >= 2.9.0
BuildRequires:      fuse-devel >= 2.9.0
BuildRequires:      python2-devel
BuildRequires:      python-contextlib2
BuildRequires:      python-setuptools
BuildRequires:      pytest
BuildRequires:      python-pytest-catchlog
BuildRequires:      python%{python3_pkgversion}-devel
BuildRequires:      python%{python3_pkgversion}-setuptools
BuildRequires:      python%{python3_pkgversion}-pytest
BuildRequires:      python%{python3_pkgversion}-pytest-catchlog

%description
LLFUSE is a set of Python bindings for the low level FUSE API.
It requires at least FUSE 2.9.0.
LLFUSE was originally part of S3QL, but has been factored out so that it can be
used by other projects as well.

%package -n python2-llfuse
Summary:            Python Bindings for the low-level FUSE API
%{?python_provide:%python_provide python2-llfuse}
Requires:           python-contextlib2

%description -n python2-llfuse
LLFUSE is a set of Python bindings for the low level FUSE API.
It requires at least FUSE 2.9.0.
LLFUSE was originally part of S3QL, but has been factored out so that it can be
used by other projects as well.

%package -n python%{python3_pkgversion}-llfuse
Summary:            Python Bindings for the low-level FUSE API Python %{python3_version} packages
%{?python_provide:%python_provide python%{python3_pkgversion}-llfuse}

%description -n python%{python3_pkgversion}-llfuse
LLFUSE is a set of Python %{python3_version} bindings for the low level FUSE API.
It requires at least FUSE 2.9.0.
LLFUSE was originally part of S3QL, but has been factored out so that it can be
used by other projects as well.

%prep
%autosetup -n llfuse-%{version}
rm doc/html/.buildinfo
rm -rf src/llfuse.egg-info

%build
CFLAGS="%{optflags}" python%{python_version} setup.py build_ext --inplace
CFLAGS="%{optflags}" python%{python3_version} setup.py build_ext --inplace

%install
%py2_install
%py3_install

%check
py.test-%{python_version} -v test
py.test-%{python3_version} -v test

%files -n python2-llfuse
%doc README.rst Changes.rst doc/html
%license LICENSE
%{python2_sitearch}/llfuse*.so
%{python2_sitearch}/llfuse*.egg-info

%files -n python%{python3_pkgversion}-llfuse
%doc README.rst Changes.rst doc/html
%license LICENSE
%{python3_sitearch}/llfuse*.so
%{python3_sitearch}/llfuse*.egg-info


%changelog
* Tue Sep 20 2016 Denis Fateyev <denis@fateyev.com> - 1.1.1-1
- Update to 1.1.1 release

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed Mar 23 2016 Denis Fateyev <denis@fateyev.com> - 1.0-1
- Update to 1.0 release

* Fri Mar 04 2016 Denis Fateyev <denis@fateyev.com> - 0.43-1
- Modernize the package spec, test suite support
- Update to 0.43 release

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.40-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.40-6
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.40-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.40-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.40-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 28 2014 Kalev Lember <kalevlember@gmail.com> - 0.40-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Tue Jan 21 2014 maci <maci@satgnu.net> - 0.40-1
- update to 0.40

* Tue Sep 24 2013 maci <maci@satgnu.net> - 0.39-1
- update to 0.39

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.38-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Marcel Wysocki <maci@satgnu.net> 0.38-1
- update to 0.38

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.37.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Nov 19 2012 Marcel Wysocki <maci@satgnu.net> 0.37.1-11
- initial python3 build

* Thu Nov 01 2012 Marcel Wysocki <maci@satgnu.net> 0.37.1-10
- drop python-distribute requirement, it's provided by python-setuptools

* Wed Oct 31 2012 Marcel Wysocki <maci@satgnu.net> 0.37.1-9
- drop fuse requirement
- add license to docs

* Wed Oct 31 2012 Marcel Wysocki <maci@satgnu.net> 0.37.1-8
- filter out private libraries

* Tue Oct 30 2012 Marcel Wysocki <maci@satgnu.net> 0.37.1-7
- use python2-devel BR instead of python-devel

* Tue Oct 30 2012 Marcel Wysocki <maci@satgnu.net> 0.37.1-6
- add python-devel to the build requirements
- use optflags macro

* Mon Oct 29 2012 Marcel Wysocki <maci@satgnu.net> 0.37.1-5
- add python-setuptools to the build requirements
- delete llfuse.egg-info prior to build
- remove python from requirements, rpm picks it up itself

* Tue Oct 23 2012 Marcel Wysocki <maci@satgnu.net> 0.37.1-4
- don't use rm and install macros
- add missing dependencies

* Fri Oct 05 2012 Marcel Wysocki <maci@satgnu.net> 0.37.1-3
- add missing builddep

* Thu Oct 04 2012 Marcel Wysocki <maci@satgnu.net> 0.37.1-2
- fedora port

* Sun Jan 22 2012 Dmitry Mikhirev <dmikhirev@mandriva.org> 0.37.1-1
+ Revision: 764912
- new version 0.37.1

* Tue Dec 06 2011 Dmitry Mikhirev <dmikhirev@mandriva.org> 0.37-1
+ Revision: 738418
- Update to 0.37

* Tue Nov 29 2011 Dmitry Mikhirev <dmikhirev@mandriva.org> 0.36-1
+ Revision: 735378
- imported package python-llfuse
